Folder listing date sort order is confusing

Bug #907527 reported by Nat Katin-Borland on 2011-12-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KARL3
Low
Carlos de la Guardia

Bug Description

It seems that content uploaded to a FILES folder have no determinable display order beyond the upload date, meaning, we don't sort down to the hour/minute/secon. So, if you upload several files on the same day, the content doesn't appear in the exact order you upload them in, as you would assume would happen. Paul thinks we can clear things up by sorting content based on the non-visable minute/second time stamp.

See https://karl.soros.org/communities/karl-consortium/blog/default-date-sort-order-sorting-within-a-column for the discussion

My suggestion was limited to files, which use the new grid.

Regarding calendar…I hope we're not re-opening issues about calendar sorting. :)

--Paul

On Dec 21, 2011, at 4:20 PM, Nat Katin-Borland wrote:

> Public bug reported:
>
> It seems that content uploaded to the Files section or layers/categories
> created in a Calendar have no determinable display order beyond the
> upload date. So, if you upload several files on the same day, the
> content doesn't appear in the exact order you upload them in, as you
> would assume would happen. Paul thinks we can clear things up by
> sorting content based on the non-visable minute/second time stamp.
>
> See https://karl.soros.org/communities/karl-consortium/blog/default-
> date-sort-order-sorting-within-a-column for the discussion
>
> ** Affects: karl3
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/907527
>
> Title:
> Default date sort order is confusing
>
> Status in KARL3:
> New
>
> Bug description:
> It seems that content uploaded to the Files section or
> layers/categories created in a Calendar have no determinable display
> order beyond the upload date. So, if you upload several files on the
> same day, the content doesn't appear in the exact order you upload
> them in, as you would assume would happen. Paul thinks we can clear
> things up by sorting content based on the non-visable minute/second
> time stamp.
>
> See https://karl.soros.org/communities/karl-consortium/blog/default-
> date-sort-order-sorting-within-a-column for the discussion
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/907527/+subscriptions

Nat Katin-Borland (nborland) wrote :
Download full text (3.4 KiB)

I just assumed that any content tied to an upload time was sorted in roughly the same way, but if we need to limit this to files only, then that's fine...

--
Nathaniel Katin-Borland
Support Specialist
Knowledge Management Initiative
KARL Support Team

Open Society Foundations - New York Office
400 West 59th Street
New York, NY 10019
Email: <email address hidden>
Phone: 212-547-6984
http://www.soros.org/
http://www.karlproject.org
-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Paul Everitt
Sent: Wednesday, December 21, 2011 4:56 PM
To: Nathaniel Katin-Borland
Subject: Re: [Bug 907527] [NEW] Default date sort order is confusing

My suggestion was limited to files, which use the new grid.

Regarding calendar…I hope we're not re-opening issues about calendar sorting. :)

--Paul

On Dec 21, 2011, at 4:20 PM, Nat Katin-Borland wrote:

> Public bug reported:
>
> It seems that content uploaded to the Files section or
> layers/categories created in a Calendar have no determinable display
> order beyond the upload date. So, if you upload several files on the
> same day, the content doesn't appear in the exact order you upload
> them in, as you would assume would happen. Paul thinks we can clear
> things up by sorting content based on the non-visable minute/second time stamp.
>
> See https://karl.soros.org/communities/karl-consortium/blog/default-
> date-sort-order-sorting-within-a-column for the discussion
>
> ** Affects: karl3
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/907527
>
> Title:
> Default date sort order is confusing
>
> Status in KARL3:
> New
>
> Bug description:
> It seems that content uploaded to the Files section or
> layers/categories created in a Calendar have no determinable display
> order beyond the upload date. So, if you upload several files on the
> same day, the content doesn't appear in the exact order you upload
> them in, as you would assume would happen. Paul thinks we can clear
> things up by sorting content based on the non-visable minute/second
> time stamp.
>
> See https://karl.soros.org/communities/karl-consortium/blog/default-
> date-sort-order-sorting-within-a-column for the discussion
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/907527/+subscriptions

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/907527

Title:
  Default date sort order is confusing

Status in KARL3:
  New

Bug description:
  It seems that content uploaded to the Files section or
  layers/categories created in a Calendar have no determinable display
  order beyond the upload date. So, if you upload several files on the
  same day, the content doesn't appear in the exact order you upload
  them in, as you would assume would happen. Paul thinks we can clear
  things up by sorting content based on the non-visable minute/second
  time stamp.

  See...

Read more...

summary: - Default date sort order is confusing
+ Folder listing date sort order is confusing
description: updated
Changed in karl3:
importance: Undecided → Low
milestone: none → m88
Changed in karl3:
assignee: nobody → Shane Hathaway (shane-hathawaymix)
Changed in karl3:
milestone: m88 → m90
Changed in karl3:
status: New → Fix Committed
Paul Everitt (paul-agendaless) wrote :

Re-opened, need a branch.

Changed in karl3:
status: Fix Committed → In Progress
JimPGlenn (jpglenn09) on 2012-03-01
Changed in karl3:
milestone: m90 → m95
Changed in karl3:
milestone: m95 → m98
Changed in karl3:
milestone: m98 → m100
Changed in karl3:
milestone: m100 → m104
Changed in karl3:
milestone: m104 → m108
Changed in karl3:
milestone: m108 → m112
Changed in karl3:
assignee: Shane Hathaway (shane-hathawaymix) → Carlos de la Guardia (cguardia)
milestone: m112 → m110
Carlos de la Guardia (cguardia) wrote :

This is working, as far as I can tell.

Changed in karl3:
status: In Progress → Fix Committed
JimPGlenn (jpglenn09) wrote :

Looks good to me also.

tags: added: tested ux2
JimPGlenn (jpglenn09) on 2012-07-11
tags: added: r3.90
Nat Katin-Borland (nborland) wrote :

Looks good

JimPGlenn (jpglenn09) wrote :

fixed

Changed in karl3:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers